Debian Bug report logs - #669060
Apt: E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure

version graph

Package: libapt-pkg4.12; Maintainer for libapt-pkg4.12 is APT Development Team <deity@lists.debian.org>; Source for libapt-pkg4.12 is src:apt.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Mon, 16 Apr 2012 20:42:01 UTC

Severity: serious

Merged with 669044, 669093, 669135

Found in versions apt/0.9.0~exp1, apt/0.9.0

Fixed in version 0.9.1

Done: Vincent Lefevre <vincent@vinc17.net>

Bug is archived. No further changes may be made.

Summary: Problem caused by incrementing an uninitialized variable causing random loop-breaking in SmartConfigure used to calculate configuration order. Upgrade instructions: apt-get download libapt-pkg4.12=0.9.1 dpkg -i libapt-pkg4.12_0.9.1_*.deb In case apt-get denies the installation of the fixed version with this errormessage (you might be able to find this package already downloaded in /var/cache/apt/archives/ )

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#669060; Package apt. (Mon, 16 Apr 2012 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 16 Apr 2012 20:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: Apt: E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure
Date: Mon, 16 Apr 2012 22:38:28 +0200
Package: apt
Version: 0.9.0
Severity: serious

Hi,

I'm seeing lots of errors like:
E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure for libapt-inst1.5:i386, aborting
E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure for libapt-inst1.5:amd64, aborting
E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure for adduser:amd64, aborting


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#669060; Package apt. (Mon, 16 Apr 2012 21:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 16 Apr 2012 21:30:08 GMT) Full text and rfc822 format available.

Message #10 received at 669060@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Kurt Roeckx <kurt@roeckx.be>, Andreas Beckmann <debian@abeckmann.de>, 669060@bugs.debian.org
Cc: control@bugs.debian.org, Michael Vogt <mvo@debian.org>
Subject: Re: Bug#669060: Apt: E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure
Date: Mon, 16 Apr 2012 23:28:02 +0200
[Message part 1 (text/plain, inline)]
package apt
forcemerge 669060 669044
thanks

On Mon, Apr 16, 2012 at 22:38, Kurt Roeckx <kurt@roeckx.be> wrote:
> I'm seeing lots of errors like:
> E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure for libapt-inst1.5:i386, aborting
> E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure for libapt-inst1.5:amd64, aborting
> E: Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure for adduser:amd64, aborting

Oh dear, it's as always, you are using a self-build version which is
"so close" to the one in the archive and as just one easy loop-break
is added you give a go with
19:31:58 < DonKult> what could possibly go wrong?
I should have known the answer…


Long story short: In SmartConfigure the counter isn't initialized
like it is in the first instance of this (in SmartUnpack).

I seriously wonder why this hasn't exploded earlier…


Best regards

David Kalnischkies
[apt-669060-uninitialized-loop-count.diff (application/octet-stream, attachment)]

Marked as found in versions apt/0.9.0~exp1. Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Mon, 16 Apr 2012 21:30:13 GMT) Full text and rfc822 format available.

Merged 669044 669060 Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Mon, 16 Apr 2012 21:30:15 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Tue, 17 Apr 2012 08:56:08 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Tue, 17 Apr 2012 08:56:19 GMT) Full text and rfc822 format available.

Message #19 received at 669060-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 669060-close@bugs.debian.org
Subject: Bug#669060: fixed in apt 0.9.1
Date: Tue, 17 Apr 2012 08:47:24 +0000
Source: apt
Source-Version: 0.9.1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.9.1_all.deb
  to main/a/apt/apt-doc_0.9.1_all.deb
apt-transport-https_0.9.1_amd64.deb
  to main/a/apt/apt-transport-https_0.9.1_amd64.deb
apt-utils_0.9.1_amd64.deb
  to main/a/apt/apt-utils_0.9.1_amd64.deb
apt_0.9.1.dsc
  to main/a/apt/apt_0.9.1.dsc
apt_0.9.1.tar.gz
  to main/a/apt/apt_0.9.1.tar.gz
apt_0.9.1_amd64.deb
  to main/a/apt/apt_0.9.1_amd64.deb
libapt-inst1.5_0.9.1_amd64.deb
  to main/a/apt/libapt-inst1.5_0.9.1_amd64.deb
libapt-pkg-dev_0.9.1_amd64.deb
  to main/a/apt/libapt-pkg-dev_0.9.1_amd64.deb
libapt-pkg-doc_0.9.1_all.deb
  to main/a/apt/libapt-pkg-doc_0.9.1_all.deb
libapt-pkg4.12_0.9.1_amd64.deb
  to main/a/apt/libapt-pkg4.12_0.9.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669060@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Apr 2012 09:49:31 +0200
Source: apt
Binary: apt libapt-pkg4.12 libapt-inst1.5 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.9.1
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - commandline package manager
 apt-doc    - documentation for APT
 apt-transport-https - https download transport for APT
 apt-utils  - package managment related utility programs
 libapt-inst1.5 - deb package format runtime library
 libapt-pkg-dev - development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - documentation for APT development
 libapt-pkg4.12 - package managment runtime library
Closes: 664833 669060
Changes: 
 apt (0.9.1) unstable; urgency=low
 .
   [ David Kalnischkies ]
   * cmdline/apt-get.cc:
     - if pkgCacheFile::Generate is disabled in 'update' don't
       remove the caches (and don't try to open them)
   * apt-pkg/packagemanager.cc:
     - init counter in SmartConfigure so that the loop-breaker isn't
       triggered at random… (Closes: #669060)
 .
   [ Christian Perrier ]
   * Fix typo in apt-get(8). Closes: #664833
   * Replace "argument" by "paramètre" in French translation.
     Merci, les Titeps!
   * Drop hardcoded "en.html" suffix in apt-secure manpage.
     Thanks to David Prevot.
Checksums-Sha1: 
 bf8492181f31563e1412c57d55f81eaf4e32d6c1 1663 apt_0.9.1.dsc
 77e438b3b1de8065f7de36f2bed068616c389f7c 3412383 apt_0.9.1.tar.gz
 6664781f4b34b223d76a1943eb65e0f1b805a523 254042 apt-doc_0.9.1_all.deb
 b68e3f7312db80908dddceaec22849f50608f2d6 830542 libapt-pkg-doc_0.9.1_all.deb
 e0a915cef9c7319e12b04d56e9ec61822647122f 873966 libapt-pkg4.12_0.9.1_amd64.deb
 a57314c2ce086a22e1927bb8b9a670d4e12e96fc 157034 libapt-inst1.5_0.9.1_amd64.deb
 a7028828972586557fe93673836302f9b78692a8 1157482 apt_0.9.1_amd64.deb
 84a781e3cd1261f9bd2a6d752323e23653b5cb8b 177258 libapt-pkg-dev_0.9.1_amd64.deb
 e248b3892c3fc545b53224956fc9c553dc31870e 369464 apt-utils_0.9.1_amd64.deb
 7639c4cf6c7b61aa22a3484ef4faf861e7020274 100318 apt-transport-https_0.9.1_amd64.deb
Checksums-Sha256: 
 c8b2d374389547994b61116192e558790011a779e5b3541f2b4a0d969206ab40 1663 apt_0.9.1.dsc
 cd7cccda2f4b7de79b437c5cb9ed7e72ec1afc1be3c23d06ddf94ed8c7a912a8 3412383 apt_0.9.1.tar.gz
 86efc4263753509400828455ca9baf777c064f8e8cc561804ed12d87c1bcb4d6 254042 apt-doc_0.9.1_all.deb
 f8ed257ffb05861c7347e105c093043165fcc0e0fd7eb6dd53610928cad428bd 830542 libapt-pkg-doc_0.9.1_all.deb
 f210d39f7b8f00e53c3255ef490902f55aca95eeee628bcf5bcca2dfda9ba84e 873966 libapt-pkg4.12_0.9.1_amd64.deb
 eb0479fff6a29ed4b690809a2b1abc87d134847a47cbc796f4937eabeeec06ce 157034 libapt-inst1.5_0.9.1_amd64.deb
 d6e106b9fd27d2ba09d9c35ad222d5586cd6673fff3e0cc6db4b241e609b33d6 1157482 apt_0.9.1_amd64.deb
 445b46fee918f122ca9dfc825a3de09d15a0719ec9f3ba171d71d274e58675d0 177258 libapt-pkg-dev_0.9.1_amd64.deb
 c48e4704dcc4aaf0ec5cf87ac0ba54b392f3ddb3e68a0da2ef40ef5412047372 369464 apt-utils_0.9.1_amd64.deb
 e0f28bbb95ff5a9b37958e5aad0b2d403539ab331b4fadfc81004698a9925cf8 100318 apt-transport-https_0.9.1_amd64.deb
Files: 
 ce0ad85ae617d25c45b95680d206fd33 1663 admin important apt_0.9.1.dsc
 2c945d7726e7c8ea0c037c7855d4f371 3412383 admin important apt_0.9.1.tar.gz
 07e78c2c7832795f14e71cdd36647622 254042 doc optional apt-doc_0.9.1_all.deb
 27ca195b3252101fdec2ad50d7e37f8b 830542 doc optional libapt-pkg-doc_0.9.1_all.deb
 80cdfc21176be965b1ab26c604be61d6 873966 admin important libapt-pkg4.12_0.9.1_amd64.deb
 9abfaac32de4dc39dd98bf848b544a72 157034 admin important libapt-inst1.5_0.9.1_amd64.deb
 3210d7cd85bfd962b57c07a6c0eea62f 1157482 admin important apt_0.9.1_amd64.deb
 7a9f9f8ba5b889dd13717e5c427e4cbe 177258 libdevel optional libapt-pkg-dev_0.9.1_amd64.deb
 908dce8d2edc213c0b76603d8fd8d0c6 369464 admin important apt-utils_0.9.1_amd64.deb
 c7c3c7526b96c5773d7b664fef3bd718 100318 admin optional apt-transport-https_0.9.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+NIZsACgkQliSD4VZixzQBDQCfbt1jawi87FAOy8dMp0GxvtP1
OdQAniRy9VCJE7KW7QBaJJ6R6zXcuZ4n
=thGW
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Tue, 17 Apr 2012 08:56:33 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Tue, 17 Apr 2012 08:56:56 GMT) Full text and rfc822 format available.

Bug reopened Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 11:48:47 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions apt/0.9.1. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 11:48:48 GMT) Full text and rfc822 format available.

Added indication that 669060 affects evolution-data-server and evolution-exchange Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 11:48:50 GMT) Full text and rfc822 format available.

Marked as fixed in versions apt/1.9.1. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 12:36:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions apt/0.9.1. Request was from Matteo F. Vescovi <mfv.debian@gmail.com> to control@bugs.debian.org. (Tue, 17 Apr 2012 14:30:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions apt/1.9.1. Request was from Matteo F. Vescovi <mfv.debian@gmail.com> to control@bugs.debian.org. (Tue, 17 Apr 2012 14:30:07 GMT) Full text and rfc822 format available.

Merged 669044 669060 669093 Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Tue, 17 Apr 2012 17:00:15 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Tue, 17 Apr 2012 19:57:31 GMT) Full text and rfc822 format available.

Bug reopened Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Tue, 17 Apr 2012 19:57:33 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions apt/0.9.1. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Tue, 17 Apr 2012 19:57:35 GMT) Full text and rfc822 format available.

Removed indication that 669060 affects evolution-data-server and evolution-exchange Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Tue, 17 Apr 2012 19:57:38 GMT) Full text and rfc822 format available.

Marked as fixed in versions apt/0.9.1. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Tue, 17 Apr 2012 19:57:40 GMT) Full text and rfc822 format available.

Merged 669044 669060 669093 669135 Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Tue, 17 Apr 2012 19:57:45 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Tue, 17 Apr 2012 20:39:09 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Tue, 17 Apr 2012 20:39:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'apt' to 'libapt-pkg4.12'. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Wed, 18 Apr 2012 21:54:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions apt/0.9.0~exp1 and apt/0.9.0. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Wed, 18 Apr 2012 21:54:14 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions apt/0.9.1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Wed, 18 Apr 2012 21:54:17 GMT) Full text and rfc822 format available.

Marked as found in versions apt/0.9.0 and reopened. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Wed, 18 Apr 2012 21:54:20 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Wed, 18 Apr 2012 23:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#669060; Package libapt-pkg4.12. (Thu, 19 Apr 2012 12:03:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 19 Apr 2012 12:04:59 GMT) Full text and rfc822 format available.

Message #69 received at 669060@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Douglas Mencken <dougmencken@gmail.com>, 669060@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#669283: Error with apt-get dist-upgrade (Internal error: APT::pkgPackageManager::MaxLoopCount reached in SmartConfigure for grep:powerpc, aborting)
Date: Thu, 19 Apr 2012 14:00:18 +0200
package libapt-pkg4.12 apt
reassign 669283 libapt-pkg4.12
forcemerge 669060 669283
found 669060 0.9.0~exp1
affects 669060 aptitude
summary 669060 0
thanks

Problem caused by incrementing an uninitialized variable causing random
loop-breaking in SmartConfigure used to calculate configuration order.
Upgrade instructions:
apt-get download libapt-pkg4.12=0.9.1
dpkg -i libapt-pkg4.12_0.9.1_*.deb
In case apt-get denies the installation of the fixed version with this
errormessage (you might be able to find this package already
downloaded in /var/cache/apt/archives/ )


(First try with summary… if that will work as intended?)

Best regards

David Kalnischkies




Marked as found in versions apt/0.9.0~exp1. Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Thu, 19 Apr 2012 12:05:44 GMT) Full text and rfc822 format available.

Added indication that 669060 affects aptitude Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Thu, 19 Apr 2012 12:05:47 GMT) Full text and rfc822 format available.

Summary recorded from message bug 669060 message 74 Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Thu, 19 Apr 2012 12:05:50 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 May 2012 07:35:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:09:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.